%global packname  pls 
%global packver   2.4
%global packrel   3

Name:             R-%{packname}
Version:          2.4.3
Release:          7%{dist}
Summary:          Multivariate regression by PLSR and PCR
Summary(fr):      Régression multivariée par PLSR et PCR
Group:            Applications/Productivity
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/pls/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildArch:        noarch
BuildRequires:    R-devel >= 3.0.0 tetex-latex 
Requires:         R-core >= 3.0.0

%description
Multivariate regression by partial least squares regression (PLSR) 
and principal component regression (PCR)

%description -l fr
Régression multivarié par la technique des moindres carrés et
l'analyse en composants principales
 
%prep
%setup -c -q -n %{packname}

iconv -f ISO-8859-1 -t UTF-8 -o %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
mv %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
sed -i -e 's|, Rmpi||' %{packname}/DESCRIPTION

%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

install -pm 0644  %{packname}/CHANGES %{buildroot}%{_datadir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CHANGES
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/data

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.4.3-3
- Fix rebuilding against 2.4.3

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 05 2013 pingou <pingou@pingoured.fr> 2.4.3-1
- Update to version 2.4.3

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 2.3.0-5
- rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 02 2011 Tom Callaway <spot@fedoraproject.org> 2.3.0-1
- update to 2.3.0
- clean up spec

* Thu Nov 03 2011 pingou <pingou@pingoured.fr> 2.2.0-1
- Update to version 2.2.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 03 2010 pingou <pingou@pingoured.fr> - 2.1.0-3
- Fix build bz 538957
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 pingou <pingou@pingoured.fr> 2.1.0-1
- Update version from 2.1 to 2.1.0 since for R having a - or a . is similar

* Fri Mar 06 2009 Pingou <pingou@pingoured.fr> 2.1-6
- Change the iconv from prep to end of install to make it build

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Pingou <pingoufc4@yahoo.fr> 2.1-4
- Change the URL (correct typo)

* Mon Feb 18 2008 Pingou <pingoufc4@yahoo.fr> 2.1-3
- Change the URL

* Sat Jan 19 2008 Pingou <pingoufc4@yahoo.fr> 2.1-2
- Add the file CHANGE as documentation

* Thu Jan 17 2008 Pingou <pingoufc4@yahoo.fr> 2.1-1
- Update to version 2.1 

*Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 2.0-4
-Changed the license tag

*Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 2.0-3
-Change in post and postun to fit the packaging guidelines
-Change in prep to fit the same guidelines

*Tue Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-2
-Add of the %%check part

*Tue Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-1
-First build of the rpm for Fedora

